<?php
/**
 * Aridum Theme Customizer
 *
 * @package Aridum
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
 
 function aridum_textarea_register($wp_customize){
	class aridum_Customize_aridum_upgrade extends WP_Customize_Control {
		public function render_content() { ?>
        
      
        <h1><?php _e( 'Get Aridum PRO Theme!  Just $19', 'aridum' ); ?></h1>
		<div class="theme-info"> 
			<a title="<?php esc_attr_e( 'Upgrade to Aridum PRO Theme', 'aridum' ); ?>" href="<?php echo esc_url( 'http://arinio.com/aridum-responsive-multipurpose-wordpress-theme/' ); ?>" target="_blank">
			<?php _e( 'Upgrade to Aridum PRO Theme', 'aridum' ); ?>
			</a>
			<a title="<?php esc_attr_e( 'View More our themes', 'aridum' ); ?>" href="<?php echo esc_url( 'http://arinio.com/' ); ?>" target="_blank">
			<?php _e( 'View More our themes', 'aridum' ); ?>
			</a>
			 
			<a href="<?php echo esc_url( 'http://arinio.com/support/' ); ?>" title="<?php esc_attr_e( 'Free Support', 'aridum' ); ?>" target="_blank">
			<?php _e( 'Free Support', 'aridum' ); ?>
			</a>
			<a href="<?php echo esc_url( 'http://arinio.com/aridum-responsive-multipurpose-wordpress-theme/' ); ?>" title="<?php esc_attr_e( 'View Demo', 'aridum' ); ?>" target="_blank">
			<?php _e( 'View Demo', 'aridum' ); ?>
			</a>
           <a href="<?php echo esc_url( 'http://arinio.com/get-free-our-theme/' ); ?>" title="<?php esc_attr_e( 'Get Free Pro Version', 'aridum' ); ?>" target="_blank">
			<?php _e( 'Get Free Pro Version', 'aridum' ); ?>
			</a>
		</div>
		<?php
		}
	}
 
}



add_action('customize_register', 'aridum_textarea_register');
 
 
 
function aridum_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport        = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
	 
	 
	 
	 
	 $wp_customize->add_section('aridum_upgrade', array(
		'title'					=> __('Aridum Support', 'aridum'),
		'description'			=> __('You are using the Aridum, Free Version of Aridum Pro Theme. Upgrade to Pro for extra features like Home Page Unlimited Slider, Work Gallery, Team section, Client Section and Life time theme support and much more. ','aridum'),
		'priority'				=> 1,
	));
	$wp_customize->add_setting( 'aridum_theme_settings[aridum_upgrade]', array(
		'default'				=> false,
		'capability'			=> 'edit_theme_options',
		'sanitize_callback'	=> 'wp_filter_nohtml_kses',
	));
	$wp_customize->add_control(
		new aridum_Customize_aridum_upgrade(
		$wp_customize,
		'aridum_upgrade',
			array(
				'label'					=> __('Aridum Upgrade','aridum'),
				'section'				=> 'aridum_upgrade',
				'settings'				=> 'aridum_theme_settings[aridum_upgrade]',
			)
		)
	);
	
}
add_action( 'customize_register', 'aridum_customize_register' );
/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 *
 * @since aridum 1.0
 */
function aridum_customize_preview_js() {
	wp_enqueue_script( 'aridum_customizer', get_template_directory_uri() . '/inc/js/customizer.js', array( 'customize-preview' ), rand(),  true );
}
add_action( 'customize_preview_init', 'aridum_customize_preview_js' );
 
 
 
/**
 * Implement the Custom Logo feature
 */
function aridum_theme_customizer( $wp_customize ) {
   
   $wp_customize->add_section( 'aridum_logo_section' , array(
    'title'       => __( 'Basic Setting', 'aridum' ),
    'description' => __( 'This Is a Basic Setting Section For Frontpage', 'aridum' ),
) );
   $wp_customize->add_setting( 'aridum_logo', array(
        'sanitize_callback' => 'aridum_sanitize_upload',
   ) );
   $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'aridum_logo', array(
    'label'    => __( 'Site Logo', 'aridum' ),
    'section'  => 'aridum_logo_section',
    'settings' => 'aridum_logo',
	)));
	
	
	
 
	
	
	 
	$wp_customize->add_setting(
	    'aridum_copyright_text', array(
		    'default' => __( 'Copyright', 'aridum' ),
			'transport' => 'postMessage',
		    'sanitize_callback' => 'aridum_sanitize_text',
	    )
	);
	
	$wp_customize->add_control(
		'aridum_copyright_text', array(
			'label'    => __( 'Copyright Text', 'aridum' ),
			'section' => 'aridum_logo_section',
			'type' => 'text',
		)
	);
	
	
	
		 
	
	
	
	
	 
	
	
	
	
	
	
	
	
	
	
		$wp_customize->add_setting(
	    'aridum_custom_css', array(
		    'default' => __( '', 'aridum' ),
			'capability' => 'edit_theme_options', 
		    'sanitize_callback' => 'wp_filter_nohtml_kses',
	    )
	);
	
	$wp_customize->add_control(
		'aridum_custom_css', array(
			'label'    => __( 'Custom CSS', 'aridum' ),
			'section' => 'aridum_logo_section',
			'type' => 'textarea',
		)
	);
	
	
}
add_action('customize_register', 'aridum_theme_customizer');
 
 
 
/* 
 * USE TO divide a section in to smaller sections
 */
function aridum_add_customizer_custom_controls( $wp_customize ) {
	//  Add Custom Subtitle
	//  =============================================================================
	class aridum_sub_title extends WP_Customize_Control {
		public $type = 'sub-title';
		public function render_content() {
		?>
			<h2 class="aridum-custom-sub-title"><?php echo esc_html( $this->label ); ?></h2>
		<?php
		}
	}
	//  Add Custom Description
	//  =============================================================================
	class aridum_description extends WP_Customize_Control {
		public $type = 'description';
		public function render_content() {
		?>
			<p class="aridum-custom-description"><?php echo esc_html( $this->label ); ?></p>
		<?php
		}
	}
	
	class aridum_footer extends WP_Customize_Control {
		public $type = 'footer';
		public function render_content() {
		?>
			<hr />
		<?php
		}
	}
}
add_action( 'customize_register', 'aridum_add_customizer_custom_controls' );




 








function aridum_slider_text_boxes_options( $wp_customize ){
	
	$list_feature_modules = array( // 1
		'one'		=> __( 'Slider 1', 'aridum' ),
		'two'		=> __( 'Slider 2', 'aridum' ),
		 
	);
	$wp_customize->add_section( 'aridum_customizer_slider_text_boxes', array(
		'title'    => __( 'Slider Setting', 'aridum' ),
		'description'    => __( 'You can upload here images for slider', 'aridum' ),
		
	));
	$i_priority = 1;
	
	foreach ($list_feature_modules as $key => $value) {
	
		/* Add sub title */
		$wp_customize->add_setting( 'aridum_slider_' . $key . '_sub_title', array(
            'sanitize_callback' => 'aridum_sanitize_text',
        ));
		$wp_customize->add_control( 
			new aridum_sub_title( $wp_customize, 'aridum_slider_' . $key . '_sub_title', array(
					'label'		=> $value,
					'section'   => 'aridum_customizer_slider_text_boxes',
					'settings'  => 'aridum_slider_' . $key . '_sub_title',
					'priority' 	=> $i_priority++ 
				) 
			) 
		);
		/* File Upload */
		$wp_customize->add_setting( 'aridum_header_slider-'.$key.'-file-upload', array(
            'sanitize_callback' => 'aridum_sanitize_upload',
        ) );
		$wp_customize->add_control(
		    new WP_Customize_Upload_Control($wp_customize, 'aridum_header_slider-'.$key.'-file-upload', array(
		            'label' => __( 'File Upload', 'aridum' ),
		            'section' => 'aridum_customizer_slider_text_boxes',
		            'settings' => 'aridum_header_slider-'.$key.'-file-upload',
		            'priority' => $i_priority++
		        )
		    )
		);
		
		/* URL */
		$wp_customize->add_setting( 'aridum_header_slider_'.$key.'_url', array(
		        'default' => __( 'Title', 'aridum' ),
				'sanitize_callback' => 'aridum_sanitize_text',
			) 
		);
		$wp_customize->add_control('aridum_header_slider_'.$key.'_url', array(
				'label'    => __( 'Slider Title', 'aridum' ),
				'section' => 'aridum_customizer_slider_text_boxes',
				'settings' => 'aridum_header_slider_'.$key.'_url',
				'type' => 'text',
				'priority' => $i_priority++
			)
		);
	
		/* Featured Header Text */
		$wp_customize->add_setting('aridum_featured_textbox_header_slider_'.$key, array(
		        'default' => __( 'Description', 'aridum' ),
				'transport' => 'postMessage',
				'sanitize_callback' => 'aridum_sanitize_text',
		    )
		);
		$wp_customize->add_control('aridum_featured_textbox_header_slider_'.$key, array(
				'label' => __( 'Slider Description', 'aridum' ),
				'section' => 'aridum_customizer_slider_text_boxes',
				'settings' => 'aridum_featured_textbox_header_slider_'.$key,
				'type' => 'textarea',
				'priority' => $i_priority++
			)
		);
		
		 
		/* Add footer bar */
		$wp_customize->add_setting( 'aridum_slider_' . $key . '_footer', array(
            'sanitize_callback' => 'aridum_sanitize_text',
        ));
		$wp_customize->add_control( 
			new aridum_footer( $wp_customize, 'aridum_slider_' . $key . '_footer', array(
			'label'		=> $value,
			'section'   => 'aridum_customizer_slider_text_boxes',
			'settings'  => 'aridum_slider_' . $key . '_footer',
			'priority' 	=> $i_priority++
		) ) );
	}// end foreach	
}
add_action( 'customize_register', 'aridum_slider_text_boxes_options' );






function servicesText_customizer( $wp_customize ) {
	
	$list_feature_modules = array( // 1
		'one'		=> __( 'Icon 1', 'aridum' ),
		'two'		=> __( 'Icon 2', 'aridum' ),
		'three'		=> __( 'Icon 3', 'aridum' ),
		
	);
	
	
    $wp_customize->add_section( 'aridum_servicesText_section_contact', array(
	     'title'       => __( 'Services Setting', 'aridum' ),
	     'description' => __( 'This is a Services settings section to change the servise section Details.', 'aridum' ),
        )
    );
	
	
	
	
	
	
	
	
	
	$i_priority = 1;
	
	foreach ($list_feature_modules as $key => $value) {
	
		/* Add sub title */
		$wp_customize->add_setting( 'aridum_services_' . $key . '_sub_title', array(
            'sanitize_callback' => 'aridum_sanitize_text',
        ));
		$wp_customize->add_control( 
			new aridum_sub_title( $wp_customize, 'aridum_services_' . $key . '_sub_title', array(
					'label'		=> $value,
					'section'   => 'aridum_servicesText_section_contact',
					'settings'  => 'aridum_services_' . $key . '_sub_title',
					'priority' 	=> $i_priority++ 
				) 
			) 
		);
	 
		
		/* Class */
		$wp_customize->add_setting( 'aridum_header_servicesicon_'.$key.'_url', array(
		        'default' => __( 'Font class Name', 'aridum' ),
				'sanitize_callback' => 'aridum_sanitize_text',
			) 
		);
		$wp_customize->add_control('aridum_header_servicesicon_'.$key.'_url', array(
				'label'    => __( 'Class Name', 'aridum' ),
				'section' => 'aridum_servicesText_section_contact',
				'settings' => 'aridum_header_servicesicon_'.$key.'_url',
				'type' => 'text',
				'priority' => $i_priority++
			)
		);
	
		/* Title */
		$wp_customize->add_setting( 'aridum_header_services_'.$key.'_url', array(
		        'default' => __( 'Title', 'aridum' ),
				'sanitize_callback' => 'aridum_sanitize_text',
			) 
		);
		$wp_customize->add_control('aridum_header_services_'.$key.'_url', array(
				'label'    => __( 'Title', 'aridum' ),
				'section' => 'aridum_servicesText_section_contact',
				'settings' => 'aridum_header_services_'.$key.'_url',
				'type' => 'text',
				'priority' => $i_priority++
			)
		);
	
	
	
		/* Featured Header Text */
		$wp_customize->add_setting('aridum_featured_textbox_header_services_'.$key, array(
		        'default' => __( 'Description', 'aridum' ),
				'transport' => 'postMessage',
				'sanitize_callback' => 'aridum_sanitize_text',
		    )
		);
		$wp_customize->add_control('aridum_featured_textbox_header_services_'.$key, array(
				'label' => __( 'Services Description', 'aridum' ),
				'section' => 'aridum_servicesText_section_contact',
				'settings' => 'aridum_featured_textbox_header_services_'.$key,
				'type' => 'textarea',
				'priority' => $i_priority++
			)
		);
		
		 
		/* Add footer bar */
		$wp_customize->add_setting( 'aridum_services_' . $key . '_footer', array(
            'sanitize_callback' => 'aridum_sanitize_text',
        ));
		$wp_customize->add_control( 
			new aridum_footer( $wp_customize, 'aridum_services_' . $key . '_footer', array(
			'label'		=> $value,
			'section'   => 'aridum_servicesText_section_contact',
			'settings'  => 'aridum_services_' . $key . '_footer',
			'priority' 	=> $i_priority++
		) ) );
	}// end foreach	
	
	
	
	
	
	
	
	
	
	
	
	$wp_customize->add_setting(
	    'aridum_maiN_heading', array(
		    'default' => __( 'Heading', 'aridum' ),
			'transport' => 'postMessage',
		    'sanitize_callback' => 'aridum_sanitize_text',
	    )
	);
	
	
	$wp_customize->add_control(
		'aridum_maiN_heading', array(
			'label'    => __( 'Main Heading', 'aridum' ),
			'section' => 'aridum_servicesText_section_contact',
			'type' => 'text',
			'priority' => '20',
		)
	);
	
	
		$wp_customize->add_setting(
	    'aridum_maiN_description', array(
		    'default' => __( 'Description', 'aridum' ),
			'transport' => 'postMessage',
		    'sanitize_callback' => 'aridum_sanitize_text',
	    )
	);
	
	
	$wp_customize->add_control(
		'aridum_maiN_description', array(
			'label'    => __( 'Main Description', 'aridum' ),
			'section' => 'aridum_servicesText_section_contact',
			'type' => 'textarea',
			'priority' => '21',
		)
	);
	 
	
	
	
	
	
	
	
	
	
}
add_action( 'customize_register', 'servicesText_customizer' );




 

















 






 
 
// SANITIZATION
// ==============================
// Sanitize Text
function aridum_sanitize_text( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}
// Sanitize Textarea
function aridum_sanitize_text_field($input) {
	global $allowedposttags;
	$output = wp_kses( $input, $allowedposttags);
	return $output;
}
// Sanitize Checkbox
function aridum_sanitize_checkbox( $input ) {
	if( $input ):
		$output = '1';
	else:
		$output = false;
	endif;
	return $output;
}
// Sanitize Numbers
function aridum_absint( $input ) {
	$value = absint( $input ); // Force the value into integer type.
    return ( 0 < $input ) ? $input : null;
}

function aridum_sanitize_float( $input ) {
	return floatval( $input );
}
// Sanitize Uploads
function aridum_sanitize_upload($input){
	return esc_url_raw($input);	
}
// Sanitize Colors
function aridum_sanitize_hex($input){
	return maybe_hash_hex_color($input);
}



function customize_styles_aridum_upgrade( $input ) { ?>
	   <style type="text/css">
		#customize-theme-controls #accordion-section-aridum_upgrade .accordion-section-title:after {
			color: #fff;
		}
		#customize-theme-controls #accordion-section-aridum_upgrade .accordion-section-title {
			background-color: rgba(113, 176, 47, 0.9);
			color: #fff;
		}
		#customize-theme-controls #accordion-section-aridum_upgrade .accordion-section-title:hover {
			background-color: rgba(113, 176, 47, 1);
		}
		#customize-theme-controls #accordion-section-aridum_upgrade .theme-info a {
			padding: 10px 8px;
			display: block;
			border-bottom: 1px solid #eee;
			color: #555;
		}
		#customize-theme-controls #accordion-section-aridum_upgrade .theme-info a:hover {
			color: #222;
			background-color: #f5f5f5;
		}
		h1 {
		line-height: 25px;
		}
	</style>
<?php }
 
add_action( 'customize_controls_print_styles', 'customize_styles_aridum_upgrade');
 







/* Wait until all sections are created then re-order them */
function aridum_reorder_sections_theme_customizer($wp_customize){
	
	$wp_customize->get_section('title_tagline')->priority = 2;
 
	 
	$wp_customize->get_section('header_image')->priority = 6;
	$wp_customize->get_section('colors')->priority = 7;
	 
	
	$wp_customize->get_section('static_front_page')->priority = 11;
	$wp_customize->get_section('aridum_customizer_slider_text_boxes')->priority = 14;
	$wp_customize->get_section('aridum_logo_section')->priority = 15;
$wp_customize->get_section('aridum_servicesText_section_contact')->priority = 16;
 
}
add_action('customize_register', 'aridum_reorder_sections_theme_customizer');















